Page MenuHomePhabricator

[EPIC] Increase awareness of history and editing community of articles on mobile to anonymous and logged in users
Open, NormalPublic

Description

Description

Page history is an integral part of how Wikipedia works. Currently we expose the concept of history to all users at the bottom of the page via a small element:


There is an opportunity here to make this element more engaging and informative. A starting point would be including the total number of users that have edited the article. Additionally emphasizing this element (by making it larger) will help communicate that the article is "alive", and hopefully encourage people to edit it. The larger more abstract goal here is

Design notes

https://www.notion.so/Article-statistics-eddf49fb021b437eba97c4c7f26effba

two concepts:

AB
  • The main advantage of exposing the username is to have awareness with readers outside the community that wikipedia is written by individuals like them. this creates a sense of community.
  • Including the number of total editors might start to communicate a sense of how mature the article is, and also reinforces the collaborative nature of Wikipedia
  • This is rough and obviously will go through the standardization process on UI part. but it archives following things
    1. shows how many people are involved into making this article happen
    2. shows freshness of the article
    3. creates the sense of human involvement into projects

Note: we need to think about how we can have a more standard treatment to this which fits into our design principals and matches other ui components.

Other metadata possibly worth including:

  • ORES quality - for english and french wikipedia
  • Article quality
  • Number of total edits
  • Number of editors
  • Age of the article
  • Last edit date
  • Edits per month
  • Number of watchers

Event Timeline

AxelBoldt created this task.May 6 2018, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2018, 8:52 PM
Jdlrobson added subscribers: alexhollender, Jdlrobson.

It is not self-explanatory that clicking on "Last edited X hours ago" will give the version history of the article.

This is pretty much a dupe of T120677.

Essential reading:
T120677#2522672

@alexhollender anything further we can do to iterate on this?

Every naive user would tap on the arrow ">" at the right end to get further information, but that arrow is not a link.

Tracked in T163853. @alexhollender can we get that prioritised?

The link to "user_Y" is not particularly useful, as one rarely needs to visit the user page of the last editor.

See T94298. @alexhollender thoughts? Do we want to revisit this?

Thanks @Jdlrobson for providing context. Browsing through those tasks, I found a beautiful mockup by @Nirzar which I fully endorse: https://phab.wmfusercontent.org/file/data/7rjsvgpnschrjom3seee/PHID-FILE-fmamkpptm7k2uqshnpvt/footer-3.png

@Jdlrobson it seems like there's enthusiasm around the designs @Nirzar put together T94298#2287988. Depending on difficulty I'd say let's go for the more involved improvement here.

Alternatively, as a short-term fix I think we could:

  • make the entire element tappable
  • remove the link from the username (assuming that it's correct that it's not particularly useful, combined with the fact that it's easy to get to the user's page by clicking the element > most recent edit > username).

Side-note:

  • I think we could remove the chevron. It sets a pattern that is potentially unnecessary and/or unsustainable. There are other tappable elements which don't have that styling (e.g. related articles). I think it's evident that area is tappable.

Jdlrobson renamed this task from Suggestion: improve usability of mobile history links to Improve usability of mobile history links.Jun 5 2018, 9:09 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Improve usability of mobile history links to [EPIC] Redesign last modified bar to improve usability of mobile history links.Jun 5 2018, 9:12 AM
Jdlrobson added a project: Epic.
Jdlrobson updated the task description. (Show Details)

@alexhollender long term improvements are better than quick solutions IMO. We've already made lots of changes in this area (user profile page -> user age, last modified bar at top of the page, last modified at bottom of page with iconography) so let's take some time here to design this and solve the problems associated with it. I've made it an epic so feel free to edit the task to flesh out the details so we can get this to the point we can work on it.

RHo added a subscriber: RHo.Jun 5 2018, 4:50 PM
Vvjjkkii renamed this task from [EPIC] Redesign last modified bar to improve usability of mobile history links to midaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from midaaaaaaa to [EPIC] Redesign last modified bar to improve usability of mobile history links.Jul 2 2018, 4:24 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

In T193993#4249743 I suggested:

as a short-term fix I think we could:

  • make the entire element tappable
  • remove the link from the username (assuming that it's correct that it's not particularly useful, combined with the fact that it's easy to get to the user's page by clicking the >element > most recent edit > username).

Side-note:

  • I think we could remove the chevron. It sets a pattern that is potentially unnecessary and/or unsustainable. There are other tappable elements which don't have that styling (e.g. related articles). I think it's evident that area is tappable.

@Jdlrobson you mentioned you didn't want to do a short-term fix here. What do you think we should do with this task?

Jdlrobson renamed this task from [EPIC] Redesign last modified bar to improve usability of mobile history links to [EPIC] The history link is not discoverable on mobile.Dec 11 2018, 6:42 PM

@alexhollender If there is an Advanced mobile contributions task that satisfies the problem statement (discovering history link) we should merge this task into that task. If there is no task that exists, let's repurpose this task to explain how we plan to fix this.

@Jdlrobson there isn't a specific task for History, although this task covers history as well as a few other things: T210659.

I wonder if it's worth keeping this around though, possibly under a different title? I feel like it encompasses more than just making the History link more discoverable...some of the ideas show additional page meta-data that might help people better understand how Wikipedia works, or just generally help communicate the state of the page more clearly

I think the tasks that will come out of T210659: [EPIC] AMC Navigation - Actions menu (primary actions) will satisfy this request. In order to keep track of these, I've set up a column called existing requests on the AMC board. I think we can go through and resolve these once the request is met (most likely tracked in another task).

@ovasileva Given the work on AMC that adds this to the top of the article, can this be resolved?

alexhollender triaged this task as Normal priority.Apr 10 2019, 3:34 AM
ovasileva closed this task as Resolved.Apr 10 2019, 9:28 AM
ovasileva claimed this task.

@AxelBoldt - we've added the history link at the top of the article as a part of the advanced contributions project (T213352: AMC: add history link to actions menu). The change is currently out on Arabic, Indonesian, and Spanish Wikipedias and will go out to all projects in a few months. As a part of the AMC project, we will also make it easier to access talk pages, user pages and contributions, etc as well as display many special pages (including history) with their full functionality from desktop. Please take a look at our project page for feedback: https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions.

alexhollender reopened this task as Open.Jun 4 2019, 5:08 PM

@ovasileva I think we should still consider a change like this for logged-out users. I don't have a sense for when we'd work on but the discussion and intentions seem worth keeping around. Going to update the description to make this less about the things covered in T163853, and more generally about having a more descriptive and helpful history element.

alexhollender renamed this task from [EPIC] The history link is not discoverable on mobile to [EPIC] Increase awareness of history and editing community of articles on mobile.Jun 4 2019, 5:21 PM
alexhollender updated the task description. (Show Details)
Jdlrobson renamed this task from [EPIC] Increase awareness of history and editing community of articles on mobile to [EPIC] Increase awareness of history and editing community of articles on mobile to anonymous and logged in users.Jul 1 2019, 6:17 PM